import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import VxeLinkComponent from "./src/link.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
const VxeLink = Object.assign({}, VxeLinkComponent, {
  install(app) {
    app.component(VxeLinkComponent.name, VxeLinkComponent);
  }
});
dynamicApp.use(VxeLink);
VxeUI.component(VxeLinkComponent);
const Link = VxeLink;
export {
  Link,
  VxeLink,
  VxeLink as default
};
